Full name: projects.locations.instances.metricDefinitions.list
List all MetricDefinitions for a given instance.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/metricDefinitions
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The instance to list MetricDefinitions for. Format: projects/{project}/locations/{location}/instances/{instance} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of MetricDefinitions to return. The service may return fewer than this value. If unspecified, at most 100 MetricDefinitions will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for metricDefinitions.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"metricDefinitions": [
{
object ( |
| Fields | |
|---|---|
metricDefinitions[] |
The list of MetricDefinitions. Not ordered. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.